Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IImport

All Superinterfaces:
  IAdaptable, IPlatformEnvironment, IUpdateConstants

All Known Implementing Classes:
  Import

public interface IImport
extends IAdaptable, IUpdateConstants, IPlatformEnvironment

Plug-in dependency entry. Describes a feture dependency on a particular plug-in. The dependency can specify a specific plug-in version and a matching rule for satisfying the dependency.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Import`

Field Summary
`static int` | `KIND_FEATURE` The import relates to a feature
`static int` | `KIND_PLUGIN` The import relates to a plugin

Fields inherited from interface org.eclipse.update.core.IUpdateConstants
`RULE_COMPATIBLE, RULE_EQUIVALENT, RULE_GREATER_OR_EQUAL, RULE_NONE, RULE_PERFECT, RULE_PREFIX, SEARCH_ROOT, SEARCH_SELF`

Method Summary
`int` | `getIdRule()` Returns the matching rule for the dependency identifier.
`int` | `getKind()` Returns the dependency kind
`int` | `getRule()` Returns the matching rule for the dependency.
`VersionedIdentifier` | `getVersionedIdentifier()` Returns an identifier of the dependent plug-in.
`boolean` | `isPatch()` Returns the patch mode.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Field Detail

### KIND_PLUGIN

    public static final int KIND_PLUGIN

  The import relates to a plugin

  Since:
    2.0.2
  See Also:
    Constant Field Values

### KIND_FEATURE

    public static final int KIND_FEATURE

  The import relates to a feature

  Since:
    2.0.2
  See Also:
    Constant Field Values

Method Detail

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()

  Returns an identifier of the dependent plug-in.

  Returns:
    plug-in identifier
  Since:
    2.0

### getRule

    public int getRule()

  Returns the matching rule for the dependency.

  Returns:
    matching rule
  Since:
    2.0

### getIdRule

    public int getIdRule()

  Returns the matching rule for the dependency identifier.

  Returns:
    matching id rule
  Since:
    2.1

### getKind

    public int getKind()

  Returns the dependency kind

  Returns:
    KIND_PLUGIN if the dependency relates to a plugin, KIND_FEATURE if the dependency relates to a feature.
  See Also:
    `KIND_PLUGIN`, `KIND_FEATURE`

### isPatch

    public boolean isPatch()

  Returns the patch mode. If the import is in patch mode, the referenced feature is considered a patch target, and the feature that owns the import is patch carrier. Patch carrier and patched feature are linked in a distinct way: if a patched feature is disabled, all the patches are disabled with it.

  Returns:
    true if the element represents a patch reference, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.